修改 Redis 配置-增加安全性

阅读数: 466 2021年11月12日

刚安装完需要马上修改的配置


1、bind 127.0.0.1

新增配置,只能本机访问,如果希望其他机器链接,需要去掉这个配置。


2、port 123456

端口修改,避免阿里云安全扫描,会建议你修改的。端口本来就要隐藏起来。

注意:

1)记得去安全组增加这个端口规则。

2)/etc/init.d/redis 需要修改端口

vim /etc/init.d/redis

1、#端口要改成最新的端口号
REDISPORT=12345


3、dir /mnt/data/redis/

设置持久化文件存放位置,好找到文件。


4、requirepass 密码

设置连接密码,提高安全性

如果设置了密码,注意下操作需要带入密码:

1)命令行连接的时候需要带入授权密码

/usr/local/redis/bin/redis-cli -h 127.0.0.1 -p 16379 -a 密码

2)启动文件需要设置密码,否则没法 stop

vim /etc/init.d/redis
设置密码,新增密码
新增2行:
1、#设置授权密码
AUTH=654321

2、#新增密码在命令行
$REDIS_CLI -a $AUTH -p $REDISPORT shutdown



##全文###
#! /bin/bash

#端口要改成最新的端口号
REDISPORT=12345
#设置授权密码
AUTH=654321
EXEC=/usr/local/redis/bin/redis-server
REDIS_CLI=/usr/local/redis/bin/redis-cli
   
PIDFILE=/var/run/redis.pid
CONF="/usr/local/redis/etc/redis.conf"
   
case "$1" in
    start)
        if [ -f "$PIDFILE" ]; then
            echo "$PIDFILE exists, process is already running or crashed"
        else
            echo -n "Starting Redis server..."
            $EXEC $CONF
            if [ "$?"="0" ]; then
                echo " done"
            else
                echo " failed"
            fi
        fi
        ;;
    stop)
        if [ ! -f "$PIDFILE" ]; then
            echo "$PIDFILE does not exist, process is not running"
        else
            PID=$(cat $PIDFILE)
            echo "Stopping  Redis server..."
            $REDIS_CLI -a $AUTH -p $REDISPORT shutdown
            if [ "$?"="0" ]; then
                echo " done"
            else
                echo " failed"
            fi
        fi
        ;;
    restart)
        ${0} stop
        ${0} start
        ;;
    kill)
        echo "force kill redis server..."
        killall redis-server
        if [ "$?"="0" ]; then
            echo " done"
        else
            echo " failed"
        fi
        ;;
    status)
        if [ -f "$PIDFILE" ]; then
            echo "Redis server is running."
        else
            echo "Redis server is stopped."
        fi
        ;;
  *)
    echo "Usage: /etc/init.d/redis {start|stop|restart|status|kill}" >&2
        exit 1
esac


phpriji.cn | 网站地图 | | 沪ICP备17015433号-1